------------- debug stuff ta bort senare -------------------
--require "LICK"
--lick.reset = true
require("game/scripts/debug.lua")
------------------- slut med debug -------------------------

-- require 'game/scripts/map-functions.lua'

function love.load()
  love.graphics.setMode(800, 640, false, true, 0 )
  love.graphics.setCaption("3pic gam3");
  love.graphics.setBackgroundColor(30, 30, 30)
  
  -- map load
  loader = require("AdvTiledLoader.Loader")
  loader.path = "game/map/" --Change this to wherever your .tmx files are
  map = loader.load("map.tmx") --Change this to the name of your mapfile
  tx = 0
  ty = 0
  scale = 4
  
  player = {}
  player.img = love.graphics.newImage('game/images/ent/player.png')
  player.x = 400
  player.y = 320
  player.speed = 200
  
  font = love.graphics.newImageFont("game/fonts/font1.png", "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 :-!.,\"?>_", 0)
  font:setLineHeight(1)
  love.graphics.setFont(font)
  
  
end

function love.update(dt)
  fps = love.timer.getFPS()
  
  if love.keyboard.isDown("up", "w") then ty = ty + 25*dt end
  if love.keyboard.isDown("down", "s") then ty = ty - 25*dt end
  if love.keyboard.isDown("left", "a") then tx = tx + 25*dt end
  if love.keyboard.isDown("right", "d") then tx = tx - 25*dt end
end

function love.keypressed(k)
	if k == "q" then scale = scale + 1 end
	if k == "e" then scale = scale -1 end
end

function love.draw()

  love.graphics.print("FPS: "..fps.." XD", 8, 20)
  love.graphics.print("Move with WASD or the arrow keys\n        Change player with 'c'", 220, 200)
  love.graphics.draw(player.img,player.x,player.y)
  
  --map
  local ftx, fty = tx - tx%(1/scale), ty - ty%(1/scale) -- math.floor(tx), math.floor(ty)
  love.graphics.push()
  love.graphics.scale(scale)
  love.graphics.translate(ftx, fty)
  map:draw()
  love.graphics.pop()

  love.graphics.draw(player.img,player.x,player.y)

end